REST API v2.0 changelog
- Version 26.6.0.cl, June 2026
- Version 26.5.0.cl, May 2026
- Version 26.4.0.cl, April 2026
- Version 26.3.0.cl, March 2026
- Version 26.2.0.cl, February 2026
- Version 10.15.0.cl, December 2025
- Version 10.14.0.cl, November 2025
- Version 10.13.0.cl, October 2025
- Version 10.12.0.cl, September 2025
- Version 10.11.0.cl, July 2025
- Version 10.10.0.cl, July 2025
- Version 10.9.0.cl, June 2025
- Version 10.8.0.cl, April 2025
- Version 10.6.0.cl, March 2025
- Version 10.5.0.cl, December 2024
- Version 10.4.0.cl, November 2024
- Version 10.3.0.cl, October 2024
- Version 10.1.0.cl, August 2024
- Version 10.0.0.cl, July 2024
- Version 9.12.0.cl, May 2024
- Version 9.10.5.cl, April 2024
- Version 9.10.0.cl, March 2024
- Version 9.8.0.cl, January 2024
- Version 9.7.0, November 2023
- Version 9.6.0.cl, October 2023
- Version 9.5.0.cl, September 2023
- Version 9.4.0.cl, August 2023
- Version 9.3.0.cl, June 2023
- Version 9.2.0.cl, May 2023
- Version 9.0.0.cl, February 2023
This changelog lists the features and enhancements introduced in REST API v2.0. For information about new features and enhancements available for embedded analytics, see Whatβs New.
Version 26.6.0.cl, June 2026π
Spotter AI APIsπ
- Agent instructions APIs
-
The following new API endpoints allow you to set and retrieve persistent behavioral instructions for the Spotter agent.
-
PUT /api/rest/2.0/ai/agent/instructions/set
Sets behavioral instructions for the Spotter agent. Use this endpoint to define persistent guidance that Spotter applies when responding to queries in a conversation session. -
GET /api/rest/2.0/ai/agent/instructions/get
Retrieves the behavioral instructions currently configured by the administrator for the Spotter agent.
For more information, see Spotter AI Agent instructions APIs.
-
- Stop in-progress agent response
-
-
POST /api/rest/2.0/ai/agent/conversation/{conversation_identifier}/stop-response
Stops a Spotter agent response that is currently in progress for a given conversation session.
-
For more information, see Stop an in-progress agent response.
Authenticationπ
The following new endpoints allow searching for the authentication configuration at the cluster or Org level, and also allows enabling and disabling the authentication. Currently, only support trusted authentication.
-
POST /api/rest/2.0/auth/configure
Enables or disables authentication at cluster or Org level for the specified auth type. -
POST /api/rest/2.0/auth/search
Returns the authentication configuration for the specified auth type at cluster and Org level.
Connection deactivate and activate API Betaπ
ThoughtSpot introduces REST API v2.0 endpoints to programmatically deactivate and activate data connections:
-
POST /api/rest/2.0/connections/{connection_identifier}/status
Deactivates or activates a connection.
Answer report API enhancements Early Accessπ
The POST /api/rest/2.0/report/answer API endpoint introduces the following enhancements:
- Pinned Answer export
-
You can now export a pinned Answer directly from a Liveboard using the Answer report API. To export a pinned Answer, specify the
viz_guidparameter in your API request. Exports from this endpoint inherently respect Liveboard-level filters, Runtime Filters, Column security rules, and JWT token context.To export a specific personalized view of a pinned Answer, include the
personalised_view_identifierparameter. - Spotter Answer export
-
XLSX and PDF export formats are now supported for Spotter (conversational) Answers.
- Custom PNG dimensions
-
PNG exports now support custom dimensions via the following new parameters:
-
x_resolutionβ Sets the export width in pixels. Valid range: 600β3840 px. -
y_resolutionβ Sets the export height in pixels. Valid range: 600β3840 px.
-
- Display scaling
-
A new
scalingparameter allows you to adjust the relative size of visual elements in PNG exports without cropping. Valid range: 80β500%. - Automatic file naming
-
The API now automatically names exported files based on the Answer title and appends the correct file extension (
.png,.pdf,.csv, or.xlsx).
Contact ThoughtSpot support to enable these settings for PNG downloads on your ThoughtSpot instance. For more information, see Answer report API documentation.
Share metadata API: Collections support Betaπ
The POST /api/rest/2.0/security/metadata/share endpoint now supports sharing Collections.
To share a Collection, set metadata_type to COLLECTION in the request body.
For more information, see Share a Collection.
Version 26.5.0.cl, May 2026π
Sync connection metadata attributesπ
You can now synchronize connection metadata attributes from your Cloud Data Warehouse (CDW) with ThoughtSpot by sending a request to POST /api/rest/2.0/connections/{connection_identifier}/resync-metadata API endpoint.
Spotter APIsπ
New API endpointsπ
The following new endpoints allow sending messages to an active conversation session with a Spotter agent.
-
POST /api/rest/2.0/ai/agent/conversation/{conversation_identifier}/send
Allows sending a message to an active Spotter AI conversation and returns a synchronous response. -
POST /api/rest/2.0/ai/agent/conversation/{conversation_identifier}/send/stream
Allows sending to an active Spotter AI conversation and returns the response as a real-time Server-Sent Events (SSE) stream.
These new endpoints replace the legacy agent conversation and SSE streaming APIs.
Deprecated endpoints Deprecatedπ
-
POST /api/rest/2.0/ai/agent/{conversation_identifier}/converse
Replaced byPOST /api/rest/2.0/ai/agent/conversation/{conversation_identifier}/send. -
POST /api/rest/2.0/ai/agent/converse/sse
Replaced byPOST /api/rest/2.0/ai/agent/conversation/{conversation_identifier}/send/stream
These endpoints are deprecated and will be removed in a future release. Embedding applications and integrations using these APIs are advised to migrate to the new API endpoints for improved experience.
Enhancements to conversation creation API Breakingπ
The following enhancements have been introduced for the conversation creation operation workflow with the POST /api/rest/2.0/ai/agent/conversation/create API endpoint:
- metadata_context
-
To define the conversation context, the API request must include the
metadata_contextparameter with one of the following values:-
AUTO_MODE: Automatically discovers and selects the most relevant datasets for the userβs queries. -
DATA_SOURCE: Sets the target context as the data source. You must specify at least one data source ID.-
To set a single data source object metadata context, specify a
data_source_identifier. -
For multi-data source context, specify the
data_source_identifiers.ImportantThe
data_sourceandguidattributes are deprecated in the 26.5.0.cl release version. Integrations using these parameters in ThoughtSpot versions 26.2.0.cl through 26.4.0.cl will continue to work until further notice. However, ThoughtSpot recommends using eitherAUTO_MODEorDATA_SOURCEwithdata_source_identifierordata_source_identifiersfor the metadata context.
-
-
- Other context options
-
The
answer_contextandliveboard_contextare removed and no longer supported. Any existing integration or embedding application passinganswer_contextorliveboard_contextin the request body must update their workflows to use theAUTO_MODEorDATA_SOURCEoption. - Enable save chat
-
The
enable_save_chatparameter, when set totrue, saves the conversation. - API response
-
The API response now returns the
conversation_identifier, which is used in all subsequent send message or SSE streaming calls.
Liveboard report API enhancements Betaπ
The POST /api/rest/2.0/report/liveboard API endpoint enhances the pdf downloads by introducing the following parameters:
-
"page_size": "CONTINUOUS"for a seamless PDF export that matches the full length of your Liveboard. Unlike the A4 format, which introduces forced page breaks between visualizations, this continuous flow maintains your exact design and intended layout. -
zoom_leveloffers various download size options to suit the viewerβs screen dimensions, thereby enhancing legibility. This can be set only whenpage_sizeis specified asCONTINUOUS.
For more information, see Liveboard Report API documentation.
Version 26.4.0.cl, April 2026π
Variable API endpointsπ
The following endpoints are introduced for bulk delete and update operations for variables:
-
POST /api/rest/2.0/template/variables/{identifier}/update-values
Assigns multiple values to a variable and sets the scope for variable values in a single API request. -
POST /api/rest/2.0/template/variables/delete
Deletes one or more variables in a single API request.
These new API endpoints replace the following legacy API endpoints deprecated in 26.4.0.cl.
-
POST /api/rest/2.0/template/variables/{identifier}/delete -
POST /api/rest/2.0/template/variables/update-values
Your existing implementation with the legacy API endpoints will continue to work until further notice. However, these endpoints will be removed from ThoughtSpot in a future release. Hence, we recommend updating your workflows to use the API endpoints at your earliest convenience.
For more information, see Variable API documentation.
Metadata parameterizationπ
You can now parameterize multiple fields in a metadata object in a single API request using the /api/rest/2.0/metadata/parameterize-fields API endpoint.
This endpoint replaces the legacy /api/rest/2.0/metadata/parameterize endpoint, which is deprecated in 26.4.0.cl.
For more information, see Metadata parameterization API documentation.
Webhook integrationπ
This release introduces the following features and enhancements to the webhook integration workflows:
- Custom HTTP headers in webhook requests
-
Administrators can configure custom HTTP headers to send in webhook requests triggered by ThoughtSpot, in addition to the standard HTTP and authentication headers. You can specify these headers in the
additional_headersattribute during webhook creation (/api/rest/2.0/webhooks/create) and update (/api/rest/2.0/webhooks/{webhook_identifier}/update) via REST APIs. - Webhook connection validation
-
You can now validate a webhook connection by sending a test payload via an API request to the
/api/rest/2.0/system/communication-channels/validateendpoint. The API returns a response indicating the connection and authentication status for a given webhook connection. - Webhook monitoring
-
To monitor the status of webhook jobs and scheduled events, ThoughtSpot introduces the
/api/rest/2.0/jobs/history/communication-channels/searchAPI endpoint.
For more information see Webhook configuration validation and monitoring.
Collections API endpointsπ
The following APIs are introduced for Collections:
-
POST /api/rest/2.0/collections/createBeta
Creates a new Collection -
POST /api/rest/2.0/collections/searchBeta
Search for a Collection in the existing Collections -
POST /api/rest/2.0/collections/{collection_identifier}/updateBeta
Updates an existing Collection -
POST /api/rest/2.0/collections/deleteBeta
Deletes a Collection
For more information, see Collections.
Email customization API enhancementsπ
The template_properties parameter now has the hide_logo_url elements for email template customization. Set it to true to entirely hide the logo component in the ThoughtSpot notification emails.
Spotter API enhancementsπ
Spotter AI APIs now support the following error responses:
-
401 Unauthorized: authentication token is missing, expired, or invalid.
-
403 Forbidden: the authenticated user does not have
CAN_USE_SPOTTERprivilege or view access to the underlying metadata sources.
Pivot table .xlsx exportsπ
The following API endpoints now support pivot tables in .xlsx downloads with full visual and structural parity:
-
POST /api/rest/2.0/report/answer -
POST /api/rest/2.0/schedules/create
To enable pivot formatting on your ThoughtSpot instance, contact ThoughtSpot Support.
Version 26.3.0.cl, March 2026π
Webhook APIsπ
The Webhook API allows configuring Amazon S3 buckets as a storage destination for webhook payload delivery.
-
POST /api/rest/2.0/webhooks/create
Configures storage destination for webhook delivery. -
POST /api/rest/2.0/webhooks/{webhook_identifier}/update
Allows modifying storage configuration for a webhook. -
POST /api/rest/2.0/webhooks/search
Retrieves storage configuration details.
Object privilege APIsπ
Administrators and users with edit access to data models can now use /api/rest/2.0/security/metadata/manage-object-privilege to assign object-level permissions to users and groups and allow access to Spotter coaching information.
To fetch object privileges for a data model, user, or group, use the /api/rest/2.0/security/metadata/fetch-object-privileges API endpoint.
For more information, see Spotter coaching access.
User API enhancementsπ
The user APIs now support setting browser language as the default locale for ThoughtSpot users. Administrators can set the use_browser_language parameter as the default locale for ThoughtSpot users during the following API operations:
-
When creating a new user via
POST /api/rest/2.0/users/create -
When importing users via
POST /api/rest/2.0/users/import -
When updating user preferences via
POST /api/rest/2.0/users/{user_identifier}/update
When set to true, a userβs current locale preference is overridden and the browserβs language takes precedence.
The status of the browser language setting for a given user can also be retrieved using the following API endpoints:
-
POST /api/rest/2.0/users/search -
POST /api/rest/2.0/users/activate -
GET /api/rest/2.0/auth/session/user
Custom token generation APIπ
Note the following changes to request parameters for the /api/rest/2.0/auth/token/custom API endpoint:
-
The
filter_rulesparameter on the custom token authentication (/api/rest/2.0/auth/token/custom) page in the REST API Playground is no longer available for new configurations. Existing implementations that usefilter_rulescontinue to work. However, we strongly recommend migrating tovariable_valuesand ABAC via RLS for data security. -
The
parameter_valuesproperty is supported in the current release but will be deprecated in an upcoming version. Usingparameter_valuesfor row-level security will be phased out with this deprecation. Therefore, we recommend generating JWTs that pass data security attributes through formula variable attributes instead offilter_rulesorparameter_valuesfor ABAC.
For more information, see ABAC JWT migration guide and ABAC via RLS.
Version 26.2.0.cl, February 2026π
Security settings APIsπ
This release introduces the following Security settings APIs:
-
POST /api/rest/2.0/system/security-settings/configure
Allows configuring security settings at the Org level or for all Orgs on a ThoughtSpot instance. -
POST /api/rest/2.0/system/security-settings/search
Gets a list of security settings configured on a specific Org or for all Orgs on a ThoughtSpot instance.
For more information, see Security Settings.
Connection APIπ
ThoughtSpot administrators can now revoke OAuth refresh tokens for users who no longer require access to a data warehouse connection via the /api/rest/2.0/connections/{connection_identifier}/revoke-refresh-tokens API endpoint. When a token is revoked, the affected userβs session for that connection is terminated, and they must re-authenticate to regain access.
Connection configuration API enhancementsπ
You can now include same_as_parent and policy_process_options attributes in your API request to /api/rest/2.0/connection-configurations/create and /api/rest/2.0/connection-configurations/{configuration_identifier}/update endpoints.
The same_as_parent parameter specifies if the configuration should inherit settings from its parent. The policy_process_options attribute can be used to define additional policy or processing options for the connection, to allow granular control over connection behavior.
Liveboard Report API enhancementsπ
You can now download Liveboard reports in the CSV and XLSX formats through the POST /api/rest/2.0/report/liveboard API endpoint. Both these options are Early Access features.
For more information, see Data and Report APIs.
Email customization API enhancementsπ
The template_properties parameter now has two additional elements for email template customization:
-
contact_support_urlto add a customized link for contacting customer support. -
hide_contact_support_urlto hide the option of adding a link for customer support.
System configuration API enhancementsπ
The API response from the /api/rest/2.0/system/config endpoint indicates whether SAML or Okta authentication is enabled on the system.
User API enhancementsπ
-
POST /api/rest/2.0/users/import
Thepreferred_localeparameter allows configuring the preferred locale for users being imported via API request. -
POST /api/rest/2.0/users/search
Theinclude_variable_valuesparameter in the API request allows including variable values in the search response. The variable values can be assigned for a user via ABAC tokens or variable API documentation.
Version 10.15.0.cl, December 2025π
Spotter APIsπ
This release introduces the following Spotter APIs:
-
POST /api/rest/2.0/ai/instructions/set
Allows configuring natural language (NL) instructions on a model to coach Spotter on how to interpret queries, handle data nuances, and improve responses. -
POST /api/rest/2.0/ai/instructions/get
Gets NL instructions that are currently assigned to a model. -
POST /api/rest/2.0/ai/data-source-suggestions
Retrieves a list of recommended data sources based on the specified query string.
For more information, see Spotter AI APIs.
Variable APIsπ
You can now create formula variables using the /api/rest/2.0/template/variables/create API endpoint, and assign values and scope to these variables using the /api/rest/2.0/template/variables/update-values API endpoint.
For more information, see Configure variables.
ABAC tokens with formula variable attributesπ
The /api/rest/2.0/auth/token/custom API endpoint allows creating a token request with formula variables for ABAC via RLS implementation.
For more information, see ABAC via tokens.
Version 10.14.0.cl, November 2025π
New API endpointsπ
- System
-
This release introduces the following endpoints for configuring communication channel preferences.
-
POST /api/rest/2.0/system/preferences/communication-channels/configureBeta
Sets a communication channel preference for all Orgs at the cluster level or at the individual Org level. -
POST /api/rest/2.0/system/preferences/communication-channels/searchBeta
Gets details of the communication channel preferences configured on ThoughtSpot.For more information, see Configure communication channel settings.
-
- Webhook
-
The following APIs are introduced for webhook CRUD operations:
-
POST /api/rest/2.0/webhooks/createCreates a webhook. -
POST /api/rest/2.0/webhooks/{webhook_identifier}/updateUpdates the properties of a webhook. -
POST /api/rest/2.0/webhooks/searchGets a list of webhooks configured in ThoughtSpot or in a specific Org. -
POST /api/rest/2.0/webhooks/deleteDeletes the webhook.For more information, see Webhooks for Liveboard schedule events.
-
- Column security rules
-
-
POST /api/rest/2.0/security/column/rules/update
Updates column security rules for a given Table. -
POST /api/rest/2.0/security/column/rules/fetch
Gets details of column security rules for the tables specified in the API request.
-
Variable API enhancementsπ
The variable API enhancements are listed in the following sections. For additional details, see Define variables.
Variable creation APIπ
-
The variable creation endpoint
/api/rest/2.0/template/variables/createdoesnβt support assigning values to a variable. To assign values to a variable, use the/api/rest/2.0/template/variables/update-valuesendpoint. -
The
sensitiveparameter is renamed asis_sensitive.
Variables update APIs BREAKING CHANGEπ
The /api/rest/2.0/template/variables/update endpoint is deprecated and replaced with /api/rest/2.0/template/variables/update-values.
To update the properties of a specific variable, use the /api/rest/2.0/template/variables/{identifier}/update endpoint and to assign values to one or several variables in a single API call, use the POST /api/rest/2.0/template/variables/update-values endpoint.
Variables search APIπ
-
The variables search API endpoint
/api/rest/2.0/template/variables/searchnow includes thevalue_scopeparameter that allows you to filter the API response by the objects to which the variable is mapped. -
Filtering API response by
EDITABLE_METADATA_AND_VALUESis no longer supported.
User API enhancementsπ
The following APIs now support the variable_values parameter. The variable_values property can be used for user-specific customization.
-
POST /api/rest/2.0/users/create -
POST /api/rest/2.0/users/search -
POST /api/rest/2.0/users/activate
DBT API enhancementsπ
The /api/rest/2.0/dbt/generate-tml endpoint supports the model_tables attribute to list models and their tables.